Skip to main content
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
liquiditySnapshots
Token - Liquidity Snapshots
curl --request GET \
  --url https://api.dex.chainstream.io/v2/token/{chain}/{tokenAddress}/liquiditySnapshots \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "calculatedAt": 1705312800000,
      "maxLiquidityInNative": "5000.123",
      "maxLiquidityInUsd": "1000000.45",
      "maxLiquidityPoolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "poolCount": 5,
      "priceNative": "0.005",
      "priceUsd": "1.0001",
      "snapshotTime": 1705312800000,
      "totalLiquidityInNative": "10000.246",
      "totalLiquidityInUsd": "2000000.90"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
tokenAddress
string
required

An address of a token

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

direction
enum<string>
default:next

Pagination direction

Available options:
next,
prev
time
integer<int64>

Target Unix timestamp for liquidity snapshot query

Response

200 - application/json

Get Liquidity Snapshots

Generic pagination response

data
object[]
required

Page data

endCursor
string | null

Cursor for the end of current page

Example:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

Example:

false

hasPrev
boolean

Whether there is a previous page

Example:

false

startCursor
string | null

Cursor for the start of current page

Example:

"eyJpZCI6InN0YXJ0In0="